## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryInsertStatementImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryStatementImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.QueryChangeStatementImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.QueryInsertStatementImpl

All Implemented Interfaces:
  QueryChangeStatement, QueryInsertStatement, QueryStatement, SQLDataChangeStatement, SQLDataStatement, SQLObject, SQLQueryObject, SQLStatement

public class QueryInsertStatementImpl
extends QueryChangeStatementImpl
implements QueryInsertStatement

An implementation of the model object 'SQL Insert Statement'.

The following features are implemented:

- `Source Query`
- `Source Values Row List`
- `Target Table`
- `Target Column List`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetSourceQuery(QueryExpressionRoot newSourceQuery, NotificationChain msgs)`
`NotificationChain` `basicSetTargetTable(TableInDatabase newTargetTable, NotificationChain msgs)`
`NotificationChain` `basicUnsetTargetTable(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryExpressionRoot` `getSourceQuery()`
`EList` `getSourceValuesRowList()`
`EList` `getTargetColumnList()`
`TableInDatabase` `getTargetTable()`
`boolean` `isSetTargetTable()`
`void` `setSourceQuery(QueryExpressionRoot newSourceQuery)`
`void` `setTargetTable(TableInDatabase newTargetTable)`
`void` `unsetTargetTable()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryStatementImpl
`getSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`getSQL, setSQL`

Method Detail

### getSourceQuery

    public QueryExpressionRoot getSourceQuery()

  Specified by:
    `getSourceQuery` in interface `QueryInsertStatement`
  Returns:
    the value of the 'Source Query' containment reference.
  See Also:
    `QueryInsertStatement.setSourceQuery(QueryExpressionRoot)`, `SQLQueryModelPackage.getQueryInsertStatement_SourceQuery()`, `QueryExpressionRoot.getInsertStatement()`

### basicSetSourceQuery

    public NotificationChain basicSetSourceQuery(QueryExpressionRoot newSourceQuery,
                                                 NotificationChain msgs)

### setSourceQuery

    public void setSourceQuery(QueryExpressionRoot newSourceQuery)

  Specified by:
    `setSourceQuery` in interface `QueryInsertStatement`
  Parameters:
    `newSourceQuery` - the new value of the 'Source Query' containment reference.
  See Also:
    `QueryInsertStatement.getSourceQuery()`

### getSourceValuesRowList

    public EList getSourceValuesRowList()

  Specified by:
    `getSourceValuesRowList` in interface `QueryInsertStatement`
  Returns:
    the value of the 'Source Values Row List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQueryInsertStatement_SourceValuesRowList()`, `ValuesRow.getInsertStatement()`

### getTargetTable

    public TableInDatabase getTargetTable()

  Specified by:
    `getTargetTable` in interface `QueryInsertStatement`
  Returns:
    the value of the 'Target Table' containment reference.
  See Also:
    `QueryInsertStatement.isSetTargetTable()`, `QueryInsertStatement.unsetTargetTable()`, `QueryInsertStatement.setTargetTable(TableInDatabase)`, `SQLQueryModelPackage.getQueryInsertStatement_TargetTable()`, `TableInDatabase.getInsertStatement()`

### basicSetTargetTable

    public NotificationChain basicSetTargetTable(TableInDatabase newTargetTable,
                                                 NotificationChain msgs)

### setTargetTable

    public void setTargetTable(TableInDatabase newTargetTable)

  Specified by:
    `setTargetTable` in interface `QueryInsertStatement`
  Parameters:
    `newTargetTable` - the new value of the 'Target Table' containment reference.
  See Also:
    `QueryInsertStatement.isSetTargetTable()`, `QueryInsertStatement.unsetTargetTable()`, `QueryInsertStatement.getTargetTable()`

### basicUnsetTargetTable

    public NotificationChain basicUnsetTargetTable(NotificationChain msgs)

### unsetTargetTable

    public void unsetTargetTable()

  Specified by:
    `unsetTargetTable` in interface `QueryInsertStatement`
  See Also:
    `QueryInsertStatement.isSetTargetTable()`, `QueryInsertStatement.getTargetTable()`, `QueryInsertStatement.setTargetTable(TableInDatabase)`

### isSetTargetTable

    public boolean isSetTargetTable()

  Specified by:
    `isSetTargetTable` in interface `QueryInsertStatement`
  Returns:
    whether the value of the 'Target Table' containment reference is set.
  See Also:
    `QueryInsertStatement.unsetTargetTable()`, `QueryInsertStatement.getTargetTable()`, `QueryInsertStatement.setTargetTable(TableInDatabase)`

### getTargetColumnList

    public EList getTargetColumnList()

  Specified by:
    `getTargetColumnList` in interface `QueryInsertStatement`
  Returns:
    the value of the 'Target Column List' reference list.
  See Also:
    `SQLQueryModelPackage.getQueryInsertStatement_TargetColumnList()`, `ValueExpressionColumn.getInsertStatement()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.